--AH:ScriptId=629FE686-990F-45A0-BE64-085A28572C07

CREATE TABLE [DebianPackages]
(
	[DebianPackage_Id] INT IDENTITY(1, 1) NOT NULL,
	[Feed_Id] INT NOT NULL,
	[Component_Name] VARCHAR(255) NOT NULL,
	[Package_Name] VARCHAR(255) NOT NULL,
	[Architecture_Name] VARCHAR(255) NOT NULL,
	[Version_Text] VARCHAR(255) NOT NULL,
	[PackageMetadata_Bytes] VARBINARY(MAX),
	[Published_Date] DATETIME NOT NULL,
	[PackageSha256_Bytes] BINARY(32),
	[PackageSha512_Bytes] BINARY(64),
	[Cached_Indicator] YNINDICATOR NOT NULL,
	[Package_Size] BIGINT,
	[Description_Text] NVARCHAR(MAX),
	[Download_Count] INT NOT NULL,
	[LastDownloaded_Date] DATETIME,

	CONSTRAINT [PK__DebianPackages]
		PRIMARY KEY ([DebianPackage_Id]),

	CONSTRAINT [UQ__DebianPackages]
		UNIQUE ([Feed_Id], [Component_Name], [Package_Name], [Architecture_Name], [Version_Text]),

	CONSTRAINT [FK__DebianPackages__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE
)
