EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_GetImageFromDigest',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'DockerImages_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the Docker image with the specified digest.'
GO

IF OBJECT_ID('[DockerImages_GetImageFromDigest]') IS NOT NULL DROP PROCEDURE [DockerImages_GetImageFromDigest]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_GetImageFromDigest]
(
	@Feed_Id INT,
	@Image_Digest VARCHAR(128)
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DockerImages_Extended]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Image_Digest] = @Image_Digest

END
GO

GRANT EXECUTE ON [DockerImages_GetImageFromDigest] TO [ProGetUser_Role]
GO